OGRE-Next: Ogre::ShadowTextureDefinition Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::ShadowTextureDefinition Class Reference
Core » Effects

Local texture definition. More...

`#include <OgreCompositorShadowNodeDef.h>`

Inheritance diagram for Ogre::ShadowTextureDefinition:
[legend]

## Public Member Functions
| ShadowTextureDefinition (ShadowMapTechniques t, const String &texRefName, const Vector2 &_uvOffset, const Vector2 &_uvLength, uint8 _arrayIdx, size_t _light, size_t _split)
void | _setSharesSetupWithIdx (size_t idx)
size_t | getSharesSetupWith () const
IdString | getTextureName () const
String | getTextureNameStr () const

## Public Attributes
uint8 | arrayIdx
float | autoConstantBiasScale
| 0 to disable.
float | autoNormalOffsetBiasScale
| 0 to disable.
float | constantBiasScale
| Constant bias is per material (tweak HlmsDatablock::mShadowConstantBias).
size_t | light
float | normalOffsetBias
| Normal offset bias is per cascade / shadow map.
uint32 | numSplits
uint32 | numStableSplits
Real | pssmLambda
ShadowMapTechniques | shadowMapTechnique
size_t | split
Real | splitBlend
Real | splitFade
Real | splitPadding
Vector2 | uvLength
Vector2 | uvOffset
float | xyPadding

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## ◆ ShadowTextureDefinition()

Ogre::ShadowTextureDefinition::ShadowTextureDefinition | ( | ShadowMapTechniques | t,
|  | const String & | texRefName,
|  | const Vector2 & | _uvOffset,
|  | const Vector2 & | _uvLength,
|  | uint8 | _arrayIdx,
|  | size_t | _light,
|  | size_t | _split )
| inline

References arrayIdx, autoConstantBiasScale, autoNormalOffsetBiasScale, constantBiasScale, light, normalOffsetBias, numSplits, numStableSplits, pssmLambda, shadowMapTechnique, split, splitBlend, splitFade, splitPadding, uvLength, uvOffset, and xyPadding.

## Member Function Documentation

## ◆ _setSharesSetupWithIdx()

void Ogre::ShadowTextureDefinition::_setSharesSetupWithIdx | ( | size_t | idx | ) |
| inline

## ◆ getSharesSetupWith()

size_t Ogre::ShadowTextureDefinition::getSharesSetupWith | ( |  | ) | const
| inline

## ◆ getTextureName()

IdString Ogre::ShadowTextureDefinition::getTextureName | ( |  | ) | const
| inline

## ◆ getTextureNameStr()

String Ogre::ShadowTextureDefinition::getTextureNameStr | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ arrayIdx

uint8 Ogre::ShadowTextureDefinition::arrayIdx

Referenced by ShadowTextureDefinition().

## ◆ autoConstantBiasScale

float Ogre::ShadowTextureDefinition::autoConstantBiasScale

0 to disable.

Non-zero to increase bias based on orthographic projection's window size.

Referenced by ShadowTextureDefinition().

## ◆ autoNormalOffsetBiasScale

float Ogre::ShadowTextureDefinition::autoNormalOffsetBiasScale

0 to disable.

Non-zero to increase bias based on orthographic projection's window size.

Referenced by ShadowTextureDefinition().

## ◆ constantBiasScale

float Ogre::ShadowTextureDefinition::constantBiasScale

Constant bias is per material (tweak HlmsDatablock::mShadowConstantBias).

This value lets you multiply it 'mShadowConstantBias * constantBiasScale' per cascade / shadow map

This is applied on top of the autocalculated bias from autoConstantBiasScale

Referenced by ShadowTextureDefinition().

## ◆ light

size_t Ogre::ShadowTextureDefinition::light

Referenced by ShadowTextureDefinition().

## ◆ normalOffsetBias

float Ogre::ShadowTextureDefinition::normalOffsetBias

Normal offset bias is per cascade / shadow map.

This is applied on top of the autocalculated bias from autoNormalOffsetBiasScale

Referenced by ShadowTextureDefinition().

## ◆ numSplits

uint32 Ogre::ShadowTextureDefinition::numSplits

Referenced by ShadowTextureDefinition().

## ◆ numStableSplits

uint32 Ogre::ShadowTextureDefinition::numStableSplits

Referenced by ShadowTextureDefinition().

## ◆ pssmLambda

Real Ogre::ShadowTextureDefinition::pssmLambda

Referenced by ShadowTextureDefinition().

## ◆ shadowMapTechnique

ShadowMapTechniques Ogre::ShadowTextureDefinition::shadowMapTechnique

Referenced by ShadowTextureDefinition().

## ◆ split

size_t Ogre::ShadowTextureDefinition::split

Referenced by ShadowTextureDefinition().

## ◆ splitBlend

Real Ogre::ShadowTextureDefinition::splitBlend

Referenced by ShadowTextureDefinition().

## ◆ splitFade

Real Ogre::ShadowTextureDefinition::splitFade

Referenced by ShadowTextureDefinition().

## ◆ splitPadding

Real Ogre::ShadowTextureDefinition::splitPadding

Referenced by ShadowTextureDefinition().

## ◆ uvLength

Vector2 Ogre::ShadowTextureDefinition::uvLength

Referenced by ShadowTextureDefinition().

## ◆ uvOffset

Vector2 Ogre::ShadowTextureDefinition::uvOffset

Referenced by ShadowTextureDefinition().

## ◆ xyPadding

float Ogre::ShadowTextureDefinition::xyPadding

Referenced by ShadowTextureDefinition().

The documentation for this class was generated from the following file:

- OgreCompositorShadowNodeDef.h